/*!*************************************************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./frontend/node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[1].use[1]!./frontend/node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[1].use[2]!./frontend/node_modules/sass-loader/dist/cjs.js??ruleSet[1].rules[1].use[3]!./web/app/themes/thuisbakkerswinkel/components/tooltip/src/tooltip.scss ***!
  \*************************************************************************************************************************************************************************************************************************************************************************************************************************/
.twz-tooltip-popup {
  --accordion-maxw: 70rem;
  --accordion-padding: 4rem;
  --accordion-radius: 2rem;
  max-width: unset;
  inset: 0 0 0 auto;
  block-size: 100%;
  max-block-size: unset;
  border: none;
  width: min(95%, var(--accordion-maxw));
  padding: var(--accordion-padding);
  background: var(--beige-100);
}
@media (max-width: 767px) {
  .twz-tooltip-popup {
    padding-inline: calc(var(--padding-default) * 0.5);
  }
}
.twz-tooltip-popup::backdrop {
  cursor: pointer;
  background: color-mix(in srgb, var(--brown-900) 10%, transparent);
}
@media (prefers-reduced-motion: no-preference) {
  .twz-tooltip-popup:not(.twz-tooltip-popup--pop-up)[open] {
    animation: twz-tooltip-sidebar-in 0.3s ease-out backwards;
  }
}
@media (prefers-reduced-motion: no-preference) {
  .twz-tooltip-popup:not(.twz-tooltip-popup--pop-up)[open]::backdrop {
    animation: twz-tooltip-sidebar-backdrop-in 0.3s ease-out backwards;
  }
}
.twz-tooltip-popup--pop-up {
  inset: unset;
  margin: auto;
  block-size: min(100dvw, 87rem);
  top: 50%;
  left: 50%;
  translate: -50% -50%;
}
@media (max-width: 767px) {
  .twz-tooltip-popup--pop-up {
    width: 100dvw;
    height: 90dvh;
    top: unset;
    left: unset;
    bottom: 0;
    translate: unset;
  }
}
.twz-tooltip-popup--reviews {
  padding-bottom: 0;
}
.twz-tooltip-popup__header {
  font-size: 3rem;
  margin-bottom: 2rem;
}
.twz-tooltip-popup h3 {
  font-size: clamp(var(--fs-18), 4vw, var(--fs-24));
}
.twz-tooltip-popup .twz-tooltip-popup__close {
  position: fixed;
  inset-block-start: 3rem;
  inset-inline-end: 3rem;
  background: none;
  border: none;
  cursor: pointer;
  padding: 0;
}
.twz-tooltip-popup .twz-tooltip-popup__close svg {
  block-size: 1.8rem;
  inline-size: 1.8rem;
}
.twz-tooltip-popup--pop-up .twz-tooltip-popup__close {
  position: absolute;
  inset-block-start: 2rem;
  inset-inline-end: 2rem;
}
@media (max-width: 767px) {
  .twz-tooltip-popup--pop-up .twz-tooltip-popup__close {
    inset-block-start: 1rem;
    inset-inline-end: 1rem;
  }
}
.twz-tooltip--is-loading::before {
  content: "";
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.15);
  z-index: 1005;
}
.twz-tooltip--is-loading::after {
  content: "";
  position: fixed;
  inset-block-start: 50%;
  inset-inline-start: 50%;
  translate: -50% -50%;
  block-size: 4rem;
  aspect-ratio: 1;
  border-radius: 50%;
  border: 0.2rem solid var(--white);
  border-block-end-color: transparent;
  animation: spinner 0.8s linear infinite;
  z-index: 1007;
}
@keyframes spinner {
  to {
    rotate: 360deg;
  }
}

@keyframes twz-tooltip-sidebar-in {
  from {
    translate: 100% 0;
  }
  to {
    translate: 0 0;
  }
}
@keyframes twz-tooltip-sidebar-backdrop-in {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
button[data-tooltip].btn {
  --twz-icon-size: 1.5em;
  gap: 0 0.5em;
}
button[data-tooltip].btn .twz-icon--info {
  flex-shrink: 0;
}
p button[data-tooltip] {
  --twz-icon-size: 1em;
  text-underline-offset: 0.4em;
  gap: 0 0.25em;
  align-items: center;
  background: none;
  border: none;
  cursor: pointer;
  padding: 0;
  margin: 0;
  text-decoration: underline;
  color: inherit;
}
